Bug 219006 - system-config-keyboard crashed when it starts
system-config-keyboard crashed when it starts
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-08 21:34 EST by Mario J. Vega
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 11:11:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario J. Vega 2006-12-08 21:34:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
When I try to use the command system-config-keyboard it crashes with a blue screen if I used a console.

Version-Release number of selected component (if applicable):
system-config-keyboard-1.2.10-2

How reproducible:
Always


Steps to Reproduce:
1. Open a terminal
2. Use the root account
3. type the system-config-keyboard

Actual Results:
I obtain:

Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

Starting graphical mode failed.  Starting text mode instead.

and then a blue screen with:


Traceback (most recent call last):                                              
                                    File "/usr/share/system-config-keyboard/system-config-keyboard.py", line 78, in ?                                           
                                         useTextMode()                          
                                                        File "/usr/share/system-config-keyboard/system-config-keyboard.py", line 38, in useTextMode             
                                                                       app = keyboard_tui.childWindow()                                                         
                         File "/usr/share/system-config-keyboard/keyboard_tui.py", line 98, in __init__                                                         
                           kbd, rc = KeyboardWindow()(screen)                   
                                                               File "/usr/share/system-config-keyboard/keyboard_tui.py", line 70, in __call__                   
                                                                 l.setCurrent(default)                                                                          
        File "/usr/lib/python2.4/site-packages/snack.py", line 185, in setCurrent                                                                               
     self.w.listboxSetCurrent(self.item2key[item])                              
                                                  KeyError: ''                  
                                                              [root@mypc ~]# 

Expected Results:
A nice screen with a lot of options with tipical layout for keyboards.

Additional info:
My computer is a notebook Dell Inspiron 8200 with german keyboard. The system is updated with yum (repositories core, updates, extras and livna)

Note You need to log in before you can comment on or make changes to this bug.